<?php
/*
Plugin Name: TablePress Extension: Larger Table Edit Fields
Plugin URI: https://tablepress.org/extensions/input-field-size/
Description: Custom Extension for TablePress to increase the size of the text fields on the "Edit" screen
Version: 2.0
Author: Tobias Bäthge
Author URI: https://tablepress.org/
Update URI: https://tablepress.org/
*/

if ( ! is_admin() ) {
	return;
}

add_action( 'admin_print_styles', 'tablepress_input_field_size', 20 );

/**
 * Print CSS to change the input field size.
 *
 * @since 1.0.0
 */
function tablepress_input_field_size() {
	$current_screen = get_current_screen();
	if ( 'tablepress_edit' !== $current_screen->id ) {
		return;
	}
?>
<style type="text/css" media="screen">
/* Reduce the height of the rows to one line of text.  */
#tablepress-page #table-editor .jexcel > tbody > tr:after {
	min-height: 19px;
}

/* Increase the width of all columns. */
#tablepress-page #table-editor table > colgroup > col:not(:first-child) {
	width: 280px;
}
</style>
<?php
}
